Subject: Question about the privacy extensions for stateless address autoconf draft

From: Asokan <[email-masked]>
Date: Fri, 9 Jul 1999 03:30:18 -0400 (EDT)

Hi Thomas,

I have a question about your recent draft 'Privacy Extensions for
Stateless Address Autoconfiguration in IPv6.'

Your requirement 2 states that it should be difficult for an outsider
to predict the next interface identifier based on previous ones
(actually, requirement 1 is not really necessary if requirement 2 is
satisfied).

I don't see how the algorithm in Section 3.1 satisfies this
requirement.  The interface identifier created in Step 3 is used to
generate all the temporary addresses.  The same identifier is also
used to generate the next identifier in a predictable way (i.e., there
is no other secret/random input in Step 2).  An observer watching
traffic can extract the current interface identifier from the
src/dst address, and then compute all future interface identifiers, thereby
linking subsequent activities of the interface even as the interface
identifier changes.

Am I missing something?

If not, I think something similar to the method in Section 3.2 (which
essentially results in a pseudo-random sequence) is the appropriate
one.  Even here, it is not sufficient to use 'information that
[merely] differs from one machine to another' (such as user identity).
In order to satisfy your requirement 2, one should use _secret_ information
that is not known to outside observers to derive a pseudo-random sequence.

Thanks in advance for any clarifications.

Regards,
- Asokan

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------